The Delivery Settings object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

dispatch_template string
dispatch_attachment string
send_with_attachment boolean

Default: false

stop_delay integer
The Delivery Settings object
{
  "id": "delivery-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "dispatch_template": "dispatch_template_example",
  "dispatch_attachment": "dispatch_attachment_example",
  "send_with_attachment": false,
  "stop_delay": 0
}
GET /api/stock/delivery-settings

Retrieve delivery settings

Retrieves the current delivery settings. This is a singleton resource.

Returns

Returns the delivery settings object.

GET /api/stock/delivery-settings
curl https://api.overplane.dev/api/stock/delivery-settings \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "delivery-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "dispatch_template": "dispatch_template_example",
  "dispatch_attachment": "dispatch_attachment_example",
  "send_with_attachment": false,
  "stop_delay": 0
}
PATCH /api/stock/delivery-settings/{id}

Update a delivery settings

Updates the specified delivery settings by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the delivery settings to update.

Body parameters

dispatch_template string
dispatch_attachment string
send_with_attachment boolean

Default: false

stop_delay integer

Returns

Returns the updated delivery settings object.

PATCH /api/stock/delivery-settings/{id}
curl https://api.overplane.dev/api/stock/delivery-settings/delivery-settings_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"dispatch_template":"dispatch_template_example","dispatch_attachment":"dispatch_attachment_example"}'
Response
{
  "id": "delivery-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "dispatch_template": "dispatch_template_example",
  "dispatch_attachment": "dispatch_attachment_example",
  "send_with_attachment": false,
  "stop_delay": 0
}